#version 330 core

uniform mat4 projection_matrix;
uniform mat4 model_matrix;

layout (location=0) in vec3 position;
layout (location=1) in vec2 texcoords_;

out vec2 texcoords;

void main() {
    gl_Position=projection_matrix*model_matrix*vec4(position,1.0);
    texcoords=texcoords_;
}

